<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Class com.here.android.mpa.ar.AnimationInterpolator (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.here.android.mpa.ar.AnimationInterpolator (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/ar/class-use/AnimationInterpolator.html" target="_top">Frames</a></li>
<li><a href="AnimationInterpolator.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.here.android.mpa.ar.AnimationInterpolator" class="title">Uses of Class<br>com.here.android.mpa.ar.AnimationInterpolator</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.ar">com.here.android.mpa.ar</a></td>
<td class="colLast">
<div class="block">The AR package provides classes, interfaces and enumerations for displaying LiveSight and customizing the
    experience.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.here.android.mpa.ar">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a> that return <a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.SelectedItemParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getBoundingBoxInterpolator--">getBoundingBoxInterpolator</a></span>()</code>
<div class="block">Get the interpolator for selected object bounding box animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getCenterInterpolator--">getCenterInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) first person's location animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getCenterInterpolator--">getCenterInterpolator</a></span>()</code>
<div class="block">Get auto TFC interpolation algorithm.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.InfoParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.InfoParams.html#getCloseInterpolator--">getCloseInterpolator</a></span>()</code>
<div class="block">Get the interpolator for info icon close animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getFadeInInterpolator--">getFadeInInterpolator</a></span>()</code>
<div class="block">Get the interpolator for Down view fade-in animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getFadeOutInterpolator--">getFadeOutInterpolator</a></span>()</code>
<div class="block">Get the interpolator for Down view fade-out animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IconParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html#getFlyInterpolator--">getFlyInterpolator</a></span>()</code>
<div class="block">Get the interpolator for icon flying animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getGeoCenterInterpolator--">getGeoCenterInterpolator</a></span>()</code>
<div class="block">Get auto GPS interpolation algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getHeadingInterpolator--">getHeadingInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) heading animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getHeadingInterpolator--">getHeadingInterpolator</a></span>()</code>
<div class="block">Get auto heading interpolation algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.InfoParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.InfoParams.html#getOpenInterpolator--">getOpenInterpolator</a></span>()</code>
<div class="block">Get the interpolator for info icon open animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getPitchInterpolator--">getPitchInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) pitch animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getPitchInterpolator--">getPitchInterpolator</a></span>()</code>
<div class="block">Get auto pitch interpolation algorithm.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.UpViewTransitionParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html#getPitchInterpolator--">getPitchInterpolator</a></span>()</code>
<div class="block">Get the interpolator for pitch change after crossing threshold of up view.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IconParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html#getPopUpInterpolator--">getPopUpInterpolator</a></span>()</code>
<div class="block">Get the interpolator for icon pop up animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getPositionInterpolator--">getPositionInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) position change animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.SelectedItemParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getSizeInterpolator--">getSizeInterpolator</a></span>()</code>
<div class="block">Get the interpolator for selected object size animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IconParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html#getTurnInterpolator--">getTurnInterpolator</a></span>()</code>
<div class="block">Get the interpolator for icon rotation animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#getZoomInterpolator--">getZoomInterpolator</a></span>()</code>
<div class="block">Get the interpolator for intro(LiveSight entry) zoom animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#getZoomInterpolator--">getZoomInterpolator</a></span>()</code>
<div class="block">Get auto zoom interpolation algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><span class="typeNameLabel">AnimationInterpolator.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">AnimationInterpolator.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a> with parameters of type <a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.SelectedItemParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setBoundingBoxInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setBoundingBoxInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for selected object bounding box animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setCenterInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) first person's location animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setCenterInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto TFC interpolation algorithm.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.InfoParams.html" title="class in com.here.android.mpa.ar">ARController.InfoParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.InfoParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.InfoParams.html#setCloseInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setCloseInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for info close animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setFadeInInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setFadeInInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for Down view fade-in animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setFadeOutInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setFadeOutInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for Down view fade-out animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html" title="class in com.here.android.mpa.ar">ARController.IconParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IconParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html#setFlyInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setFlyInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for icon flying animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setGeoCenterInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setGeoCenterInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto GPS interpolation algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setHeadingInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setHeadingInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) heading animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setHeadingInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setHeadingInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto heading interpolation algorithm</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.InfoParams.html" title="class in com.here.android.mpa.ar">ARController.InfoParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.InfoParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.InfoParams.html#setOpenInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setOpenInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for info open animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPitchInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) pitch animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPitchInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto pitch interpolation algorithm</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" title="class in com.here.android.mpa.ar">ARController.UpViewTransitionParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.UpViewTransitionParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html#setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPitchInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for pitch change after crossing threshold of up view.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html" title="class in com.here.android.mpa.ar">ARController.IconParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IconParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html#setPopUpInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPopUpInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for icon pop up animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setPositionInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPositionInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) position change animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.SelectedItemParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setSizeInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setSizeInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for selected object size animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html" title="class in com.here.android.mpa.ar">ARController.IconParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IconParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html#setTurnInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setTurnInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for icon rotation animation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar">ARController.IntroAnimationParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IntroAnimationParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html#setZoomInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setZoomInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for intro(LiveSight entry) zoom animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar">ARController.DownViewParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.DownViewParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html#setZoomInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setZoomInterpolator</a></span>(<a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set auto zoom interpolation algorithm.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/ar/class-use/AnimationInterpolator.html" target="_top">Frames</a></li>
<li><a href="AnimationInterpolator.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
